# Inventory Management App

## Overview
The Inventory Management App is designed to manage connected devices of an SDN (Software-Defined Networking) controller. It provides functionalities to add, update, delete, and view devices.

## Features
- Add new devices
- Update existing devices
- Delete devices


## Config file structure:

```yaml
ControllerAddress: "127.0.0.1:55055"
PndID: "5f20f34b-cbd0-4511-9ddc-c50cf6a3b49d"
UserName: "testuser"
UserPW: "securepassword"
AppName: "Inventory-Manager"
NetworkElements:
  - Name: "Device01"
    UUID: "5e41c291-6121-4335-84f6-41e04b8bdaa2"
    Address: "10.0.0.2:1337"
    Username: "admin"
    Password: "adminpassword"
    PluginID: "823aad29-69be-42f0-b279-90f2c1b6a94d"
    Tls: false
  - Name: "Device02"
    UUID: "5e41c291-6121-4335-84f6-41e04b8bdaa1"
    Address: "hostname:7030"
    Username: "user"
    Password: "userpassword"
    PluginID: "823aad29-69be-42f0-b279-90f2c1b6a94d"
    Tls: true
```
